Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Stapel<Typ>

    java.lang.Object
      sum.strukturen.Liste<Typ>
          sum.strukturen.Stapel<Typ>

All Implemented Interfaces:
  Serializable

    public class Stapel<Typ>

extends Liste<Typ>
implements Serializable

Ein Stapel ist die Realisierung eines Stacks. (LIFO)
Er kann als Stapel mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage oberstes bzw. spitze ein Object und es wird Typkonversion nötig.

Version:
  7.5 vom 29.10.2013
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Stapel()` Ein neuer leerer Stapel wird erzeugt

Method Summary
`void` | `entferneOberstes()` Das oberste Objekt wird vom Stapel entfernt
`void` | `legeAuf(Typ pObject)` Ein neues Objekt wird auf den Stapel gelegt
`void` | `nimmAb()` Das oberste Objekt wird vom Stapel entfernt
`Typ` | `oberstes()` Das oberste Stapelelement wird zurückgegeben
`Typ` | `spitze()` Das oberste Stapelelement wird zurückgegeben

Methods inherited from class
`aktuellePosition, aktuelles, aktuellesElement, entferneAktuelles, entferneAlleElemente, ersetzeAktuelles, ersterKnoten, fuegeDahinterEin, fuegeDavorEin, geheZuPosition, haengeAn, haengeListeAn, istAmAnfang, istAmEnde, istDahinter, istDavor, istLeer, laenge, letzterKnoten, loescheAktuelles, position, setzeDavor, setzeListeDavor, toString, vor, zumAnfang, zumEnde, zurueck`

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Stapel

    public Stapel()

  Ein neuer leerer Stapel wird erzeugt

Method Detail

### entferneOberstes

    public void entferneOberstes()

  Das oberste Objekt wird vom Stapel entfernt

### legeAuf

    public void legeAuf(Typ pObject)

  Ein neues Objekt wird auf den Stapel gelegt

  Parameters:
    `pObject` - das Objekt, das auf den Stapel gelegt wird

### nimmAb

    public void nimmAb()

  Das oberste Objekt wird vom Stapel entfernt

### oberstes

    public Typ oberstes()

  Das oberste Stapelelement wird zurückgegeben

  Returns:
    das oberste Objekt auf dem Stapel

### spitze

    public Typ spitze()

  Das oberste Stapelelement wird zurückgegeben

  Returns:
    das oberste Objekt auf dem Stapel

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD